Build 915: Version field

%3CLINGO-SUB%20id%3D%22lingo-sub-259758%22%20slang%3D%22en-US%22%3EBuild%20915%3A%20Version%20field%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-259758%22%20slang%3D%22en-US%22%3E%3CP%3EAnd%20we%20have%20our%20first%20bug%20on%20915.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EIn%20the%20%22Create%20New%20Package%22%20wizard%2C%20%22Package%20Information%22%20page%2C%20the%20version%20input%20field%20has%20been%20changed%20to%20separate%20out%20the%20four%20parts%20and%20preventing%20us%20from%20changing%20the%20final%20field%2C%20which%20must%20be%200%20(which%2C%20as%20I%20recall%20is%20consistent%20with%20AppX%20packages%20destined%20for%20the%20store).%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EUsing%20this%20field%20is%20not%20obvious.%26nbsp%3B%20You%20can%20get%20there%2C%20but%20it%20is%20not%20obvious.%20There%20are%20entries%20there%2C%20but%20it%20seems%20like%20the%20first%20three%20have%20placeholders%20(1.0.0)%20and%20the%20fourth%20a%200.%26nbsp%3B%20The%20last%20field%20has%20the%20background%20change%20to%20indicate%20that%20you%20can't%20edit%20that%20field%2C%20and%20on%20the%20other%20three%20you%20have%20normal%20(white)%20background%20and%20the%20text%20is%20slightly%20greyed%20out.%20You%20need%20to%20enter%20something%20or%20the%20Next%20button%20will%20not%20work.%26nbsp%3B%20If%20you%20do%20enter%20something%2C%20you%20must%20enter%20all%20three%20fields%20or%20the%20red%20message%20appears%20that%20indicates%20the%20version%20is%20invalid%2C%20however%20this%20doesn't%20appear%20until%20you%20type%20into%20one%20of%20the%20fields.%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EThis%20probably%20highlights%20that%20the%20tool%20does%20not%20appear%20to%20be%20well%20designed%20for%20visually%20impaired.%26nbsp%3B%20The%20visual%20clues%20on%20this%20one%20were%20too%20subtle%20for%20me%20to%20figure%20out%2C%20and%20I%20don't%20consider%20myself%20impaired.%20I%20recall%20that%20many%20of%20the%20old%20App-V%20consoles%20had%20to%20be%20redone%20to%20become%20more%20accessible%2C%20and%20this%20looks%20like%20another%20candidate.%26nbsp%3B%20The%20version%20field%20should%20probably%20either%20not%20be%20filled%20in%2C%20or%20filled%20in%20with%20a%20real%201.0.0.0%20instead%20of%20placeholders.%20%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-260274%22%20slang%3D%22en-US%22%3ERe%3A%20Build%20915%3A%20Version%20field%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-260274%22%20slang%3D%22en-US%22%3E%3CP%3EThanks%20for%20the%20feedback%20Tim.%26nbsp%3B%20Would%20you%20be%20able%20to%20file%20a%20feedback%20item%20via%20the%20tool%20so%20we%20can%20track%20better%20track%20the%20feedback%3F%3C%2FP%3E%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%3CP%3E%3CSPAN%3E(Click%20the%20settings%20icon%20%5Bgear%5D%2C%20then%20Feedback%20%26gt%3B%20Send%20Feedback)%3C%2FSPAN%3E%3C%2FP%3E%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%3CP%3EJohn.%3C%2FP%3E%3C%2FLINGO-BODY%3E
MVP

And we have our first bug on 915.

 

In the "Create New Package" wizard, "Package Information" page, the version input field has been changed to separate out the four parts and preventing us from changing the final field, which must be 0 (which, as I recall is consistent with AppX packages destined for the store).

 

Using this field is not obvious.  You can get there, but it is not obvious. There are entries there, but it seems like the first three have placeholders (1.0.0) and the fourth a 0.  The last field has the background change to indicate that you can't edit that field, and on the other three you have normal (white) background and the text is slightly greyed out. You need to enter something or the Next button will not work.  If you do enter something, you must enter all three fields or the red message appears that indicates the version is invalid, however this doesn't appear until you type into one of the fields. 

 

This probably highlights that the tool does not appear to be well designed for visually impaired.  The visual clues on this one were too subtle for me to figure out, and I don't consider myself impaired. I recall that many of the old App-V consoles had to be redone to become more accessible, and this looks like another candidate.  The version field should probably either not be filled in, or filled in with a real 1.0.0.0 instead of placeholders.  

1 Reply

Thanks for the feedback Tim.  Would you be able to file a feedback item via the tool so we can track better track the feedback?

 

(Click the settings icon [gear], then Feedback > Send Feedback)

 

John.